Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Class CMSRecipientInfo

`java.lang.Object
oracle.security.crypto.cms.CMSRecipientInfo`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

Direct Known Subclasses:
  CMSKEKRecipientInfo, CMSKeyTransRecipientInfo

public abstract class CMSRecipientInfo
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

The base class for all CMSRecipientInfo Objects.

A CMSRecipientInfo supports differents key management techniques:

- Key Transport - `CMSKeyTransRecipientInfo`
  See Also:
    - `Key Agreement -` CMSKeyAgreeRecipientInfo (Will be Supported in the next Release) oracle.security.crypto.cert.cms.CMSKeyAgreeRecipientInfo
    - Symmetric Key-Encryption Keys - `CMSKEKRecipientInfo`,

  Constructor Summary
  `CMSRecipientInfo()` Create an empty `CMSRecipientInfo`.
  `CMSRecipientInfo(java.io.InputStream is)` Create a new `CMSRecipientInfo` by reading the BER encoding from the specified input stream.

  Method Summary
  `abstract oracle.security.crypto.asn1.ASN1Integer` | `getVersion()` Returns the Version of the CMSRecipientInfo.
  `void` | `input(java.io.InputStream is)` Read the BER encoded `CMSRecipientInfo` structure from the input stream.
  `static CMSRecipientInfo` | `inputInstance(java.io.InputStream is)` Create and intialize a `CMSRecipientInfo` by reading the BER encoding from the specified input stream.
  `protected abstract void` | `inputRecipientInfo(java.io.InputStream is)` Reads the CMSRecipientInfo structure.

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Methods inherited from interface oracle.security.crypto.util.Streamable
  `length, output`

  Constructor Detail

  ### CMSRecipientInfo

      public CMSRecipientInfo()

    Create an empty `CMSRecipientInfo`.

  ### CMSRecipientInfo

      public CMSRecipientInfo(java.io.InputStream is)
                       throws java.io.IOException

    Create a new `CMSRecipientInfo` by reading the BER encoding from the specified input stream.
  Parameters:
    `is` - The input stream.
  Throws:
    `java.io.IOException` - The encoding is incorrect or an I/O error occurs.

  Method Detail

  ### input

      public void input(java.io.InputStream is)
                 throws java.io.IOException

    Read the BER encoded `CMSRecipientInfo` structure from the input stream.
    Specified by:
      `input` in interface `oracle.security.crypto.util.Streamable`
    Parameters:
      `is` - The input stream.
    Throws:
      `java.io.IOException` - The input encoding is incorrect or an I/O error occurs.

  ### inputInstance

      public static CMSRecipientInfo inputInstance(java.io.InputStream is)
                                            throws java.io.IOException

    Create and intialize a `CMSRecipientInfo` by reading the BER encoding from the specified input stream.
    Parameters:
      `is` - The input stream.
    Returns:
      The CMSRecipientInfo Object.
    Throws:
      `java.io.IOException` - The encoding is incorrect or an I/O error occurs.

  ### inputRecipientInfo

      protected abstract void inputRecipientInfo(java.io.InputStream is)
                                          throws java.io.IOException

    Reads the CMSRecipientInfo structure. This method must be implemented by subclasses.

    The input stream is positioned at the beginning of the tag octet of the SEQUENCE encoding.

    Parameters:
      `is` - The input stream.
    Throws:
      `java.io.IOException` - The encoding is incorrect or an I/O error occurs.

  ### getVersion

      public abstract oracle.security.crypto.asn1.ASN1Integer getVersion()

    Returns the Version of the CMSRecipientInfo. This method must be implemented by subclasses.
    Returns:
      The version number.

  Package | Class | Tree | Deprecated | Index | Help
  | Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2005, 2006 , Oracle. All rights reserved.